Create or resume an ordering session
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/ordering-sessions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Cart-Token: <api-key>' \
--data '
{
"marketplaceId": "<string>",
"existingCartId": "<string>",
"metadata": {},
"returnUrl": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/ordering-sessions"
payload = {
"marketplaceId": "<string>",
"existingCartId": "<string>",
"metadata": {},
"returnUrl": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Cart-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Cart-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
marketplaceId: '<string>',
existingCartId: '<string>',
metadata: {},
returnUrl: '<string>'
})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/ordering-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cart": {
"id": "<string>",
"locationId": "<string>",
"merchantId": "<string>",
"revision": 4503599627370495,
"expiresAt": "2023-11-07T05:31:56Z",
"restaurantDisplayName": "<string>",
"fulfillmentIdentifier": "<string>",
"orderDate": "<string>",
"orderTime": "<string>",
"subTotal": "<string>",
"subTotalFormatted": "<string>",
"discountTotal": "<string>",
"discountTotalFormatted": "<string>",
"waiterTipTotal": "<string>",
"waiterTipTotalFormatted": "<string>",
"taxTotal": "<string>",
"taxTotalFormatted": "<string>",
"taxAndFeeTotal": "<string>",
"taxAndFeeTotalFormatted": "<string>",
"serviceFeeTotal": "<string>",
"serviceFeeTotalFormatted": "<string>",
"paymentProcessingFeeTotal": "<string>",
"paymentProcessingFeeTotalFormatted": "<string>",
"applicationFeeTotal": "<string>",
"applicationFeeTotalFormatted": "<string>",
"netSalesTotal": "<string>",
"netSalesTotalFormatted": "<string>",
"fulfillmentMethodFeeTotal": "<string>",
"fulfillmentMethodFeeTotalFormatted": "<string>",
"orderTotal": "<string>",
"orderTotalFormatted": "<string>",
"orderTotalWithServiceFee": "<string>",
"orderTotalWithServiceFeeFormatted": "<string>",
"orderTotalWithServiceFeeAmount": 4503599627370495,
"enterpriseFeeTotal": "<string>",
"enterpriseFeeTotalFormatted": "<string>",
"subTotalWithoutDiscount": "<string>",
"subTotalWithoutDiscountFormatted": "<string>",
"statementDescriptor": "<string>",
"totalQuantity": 4503599627370495,
"items": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"priceFormatted": "<string>",
"quantity": 4503599627370495,
"total": "<string>",
"totalFormatted": "<string>",
"discount": "<string>",
"discountFormatted": "<string>",
"categoryId": "<string>",
"selections": [
"<unknown>"
],
"specialInstructions": "<string>",
"product": {
"id": "<string>",
"name": "<string>",
"price": "<string>"
}
}
],
"fees": {
"enterpriseFeeRate": "<string>",
"enterpriseFeeFix": "<string>",
"serviceFeeRate": "<string>",
"serviceFeeFix": "<string>",
"taxRate": "<string>",
"tipRate": "<string>",
"fulfillmentMethodFeeFix": "<string>",
"fulfillmentMethodFeeRate": "<string>",
"paymentProcessingFeeRate": "<string>",
"paymentProcessingFeeFix": "<string>"
},
"lockedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"discountCode": "<string>",
"deliveryInfo": {
"addressString": "<string>",
"addressData": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"lat": 0,
"lng": 0,
"streetOptional": ""
}
},
"tableServiceInfo": {
"tableNumber": "<string>"
},
"roomServiceInfo": {
"lastName": "<string>",
"roomNumber": "<string>"
}
},
"cartAccessToken": "<string>"
}{
"cart": {
"id": "<string>",
"locationId": "<string>",
"merchantId": "<string>",
"revision": 4503599627370495,
"expiresAt": "2023-11-07T05:31:56Z",
"restaurantDisplayName": "<string>",
"fulfillmentIdentifier": "<string>",
"orderDate": "<string>",
"orderTime": "<string>",
"subTotal": "<string>",
"subTotalFormatted": "<string>",
"discountTotal": "<string>",
"discountTotalFormatted": "<string>",
"waiterTipTotal": "<string>",
"waiterTipTotalFormatted": "<string>",
"taxTotal": "<string>",
"taxTotalFormatted": "<string>",
"taxAndFeeTotal": "<string>",
"taxAndFeeTotalFormatted": "<string>",
"serviceFeeTotal": "<string>",
"serviceFeeTotalFormatted": "<string>",
"paymentProcessingFeeTotal": "<string>",
"paymentProcessingFeeTotalFormatted": "<string>",
"applicationFeeTotal": "<string>",
"applicationFeeTotalFormatted": "<string>",
"netSalesTotal": "<string>",
"netSalesTotalFormatted": "<string>",
"fulfillmentMethodFeeTotal": "<string>",
"fulfillmentMethodFeeTotalFormatted": "<string>",
"orderTotal": "<string>",
"orderTotalFormatted": "<string>",
"orderTotalWithServiceFee": "<string>",
"orderTotalWithServiceFeeFormatted": "<string>",
"orderTotalWithServiceFeeAmount": 4503599627370495,
"enterpriseFeeTotal": "<string>",
"enterpriseFeeTotalFormatted": "<string>",
"subTotalWithoutDiscount": "<string>",
"subTotalWithoutDiscountFormatted": "<string>",
"statementDescriptor": "<string>",
"totalQuantity": 4503599627370495,
"items": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"priceFormatted": "<string>",
"quantity": 4503599627370495,
"total": "<string>",
"totalFormatted": "<string>",
"discount": "<string>",
"discountFormatted": "<string>",
"categoryId": "<string>",
"selections": [
"<unknown>"
],
"specialInstructions": "<string>",
"product": {
"id": "<string>",
"name": "<string>",
"price": "<string>"
}
}
],
"fees": {
"enterpriseFeeRate": "<string>",
"enterpriseFeeFix": "<string>",
"serviceFeeRate": "<string>",
"serviceFeeFix": "<string>",
"taxRate": "<string>",
"tipRate": "<string>",
"fulfillmentMethodFeeFix": "<string>",
"fulfillmentMethodFeeRate": "<string>",
"paymentProcessingFeeRate": "<string>",
"paymentProcessingFeeFix": "<string>"
},
"lockedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"discountCode": "<string>",
"deliveryInfo": {
"addressString": "<string>",
"addressData": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"lat": 0,
"lng": 0,
"streetOptional": ""
}
},
"tableServiceInfo": {
"tableNumber": "<string>"
},
"roomServiceInfo": {
"lastName": "<string>",
"roomNumber": "<string>"
}
},
"cartAccessToken": "<string>"
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Ordering Sessions
Create or resume an ordering session
POST
/
locations
/
{locationId}
/
ordering-sessions
Create or resume an ordering session
Authorizations
StorefrontCartCapabilityStorefrontCustomerAuthStorefrontCartCapability & StorefrontCustomerAuth
Purpose-limited capability returned for a guest cart.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Required when existingCartId is present.
Pattern:
^(?:W/)?"cart-(?:0|[1-9][0-9]*)"$Path Parameters
Required string length:
1 - 128Body
application/json
Available options:
takeout, table_side, room_service, delivery Required string length:
1 - 128Pattern:
^[a-f\d]{24}$Available options:
qr, web, kiosk, app, pos, unknown Show child attributes
Show child attributes
Maximum string length:
2048⌘I